Mailinglist Archive: opensuse-updates (119 mails)

< Previous Next >
openSUSE-SU-2013:0381-1: moderate: PackageKit: forbid downgrading packages during update
openSUSE Security Update: PackageKit: forbid downgrading packages during
update
______________________________________________________________________________

Announcement ID: openSUSE-SU-2013:0381-1
Rating: moderate
References: #804983
Affected Products:
openSUSE 12.2
______________________________________________________________________________

An update that contains security fixes can now be installed.

Description:


PackageKit was fixed to add a patch to forbid update to
downgrade (bnc#804983)

As the update operation is allowed for logged in regular
users, they could install old package versions which might
have been still affected by already fixed security
problems.


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 12.2:

zypper in -t patch openSUSE-2013-169

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 12.2 (i586 x86_64):

PackageKit-0.7.4-2.21.1
PackageKit-backend-zypp-0.7.4-2.21.1
PackageKit-backend-zypp-debuginfo-0.7.4-2.21.1
PackageKit-browser-plugin-0.7.4-2.21.1
PackageKit-browser-plugin-debuginfo-0.7.4-2.21.1
PackageKit-debuginfo-0.7.4-2.21.1
PackageKit-debugsource-0.7.4-2.21.1
PackageKit-devel-0.7.4-2.21.1
PackageKit-devel-debuginfo-0.7.4-2.21.1
PackageKit-gstreamer-plugin-0.7.4-2.21.1
PackageKit-gstreamer-plugin-debuginfo-0.7.4-2.21.1
PackageKit-gtk3-module-0.7.4-2.21.1
PackageKit-gtk3-module-debuginfo-0.7.4-2.21.1
libpackagekit-glib2-14-0.7.4-2.21.1
libpackagekit-glib2-14-debuginfo-0.7.4-2.21.1
libpackagekit-glib2-devel-0.7.4-2.21.1
libpackagekit-qt2-2-0.7.4-2.21.1
libpackagekit-qt2-2-debuginfo-0.7.4-2.21.1
libpackagekit-qt2-devel-0.7.4-2.21.1
typelib-1_0-PackageKitGlib-1_0-0.7.4-2.21.1
typelib-1_0-PackageKitPlugin-1_0-0.7.4-2.21.1

- openSUSE 12.2 (x86_64):

libpackagekit-glib2-14-32bit-0.7.4-2.21.1
libpackagekit-glib2-14-debuginfo-32bit-0.7.4-2.21.1
libpackagekit-glib2-devel-32bit-0.7.4-2.21.1
libpackagekit-qt2-2-32bit-0.7.4-2.21.1
libpackagekit-qt2-2-debuginfo-32bit-0.7.4-2.21.1
libpackagekit-qt2-devel-32bit-0.7.4-2.21.1

- openSUSE 12.2 (noarch):

PackageKit-branding-upstream-0.7.4-2.21.1
PackageKit-lang-0.7.4-2.21.1


References:

https://bugzilla.novell.com/804983


< Previous Next >
This Thread
  • No further messages